Cocoa_WindowListener Class Reference

`#import <SDL_cocoawindow.h>`

Inheritance diagram for Cocoa_WindowListener:
[legend]
Collaboration diagram for Cocoa_WindowListener:
[legend]

## Instance Methods

(void) | - listen:
(void) | - pauseVisibleObservation
(void) | - resumeVisibleObservation
(BOOL) | - setFullscreenSpace:
(BOOL) | - isInFullscreenSpace
(BOOL) | - isInFullscreenSpaceTransition
(void) | - addPendingWindowOperation:
(void) | - close
(BOOL) | - isMoving
(void) | - setPendingMoveX:Y:
(void) | - windowDidFinishMoving
(BOOL) | - windowShouldClose:
(void) | - windowDidExpose:
(void) | - windowDidMove:
(void) | - windowDidResize:
(void) | - windowDidMiniaturize:
(void) | - windowDidDeminiaturize:
(void) | - windowDidBecomeKey:
(void) | - windowDidResignKey:
(void) | - windowDidChangeBackingProperties:
(void) | - windowWillEnterFullScreen:
(void) | - windowDidEnterFullScreen:
(void) | - windowWillExitFullScreen:
(void) | - windowDidExitFullScreen:
(NSApplicationPresentationOptions) | - window:willUseFullScreenPresentationOptions:
(BOOL) | - processHitTest:
(void) | - mouseDown:
(void) | - rightMouseDown:
(void) | - otherMouseDown:
(void) | - mouseUp:
(void) | - rightMouseUp:
(void) | - otherMouseUp:
(void) | - mouseMoved:
(void) | - mouseDragged:
(void) | - rightMouseDragged:
(void) | - otherMouseDragged:
(void) | - scrollWheel:
(void) | - touchesBeganWithEvent:
(void) | - touchesMovedWithEvent:
(void) | - touchesEndedWithEvent:
(void) | - touchesCancelledWithEvent:
(void) | - handleTouches:withEvent:

## Protected Attributes

SDL_WindowData * | _data
BOOL | observingVisible
BOOL | wasCtrlLeft
BOOL | wasVisible
BOOL | isFullscreenSpace
BOOL | inFullscreenTransition
PendingWindowOperation | pendingWindowOperation
BOOL | isMoving
int | pendingWindowWarpX
int | pendingWindowWarpY
BOOL | isDragAreaRunning

## Detailed Description

Definition at line 42 of file SDL_cocoawindow.h.

## Method Documentation

## addPendingWindowOperation:

- (void) addPendingWindowOperation: |  | (PendingWindowOperation) | operation |

## close

- (void) close |  |  |

## handleTouches:withEvent:

- (void) handleTouches: |  | (NSTouchPhase) | phase
withEvent: |  | (NSEvent *) | theEvent

## isInFullscreenSpace

- (BOOL) isInFullscreenSpace |  |  |

## isInFullscreenSpaceTransition

- (BOOL) isInFullscreenSpaceTransition |  |  |

## isMoving

- (BOOL) isMoving |  |  |

## listen:

- (void) listen: |  | (SDL_WindowData *) | data |

## mouseDown:

- (void) mouseDown: |  | (NSEvent *) | theEvent |

## mouseDragged:

- (void) mouseDragged: |  | (NSEvent *) | theEvent |

## mouseMoved:

- (void) mouseMoved: |  | (NSEvent *) | theEvent |

## mouseUp:

- (void) mouseUp: |  | (NSEvent *) | theEvent |

## otherMouseDown:

- (void) otherMouseDown: |  | (NSEvent *) | theEvent |

## otherMouseDragged:

- (void) otherMouseDragged: |  | (NSEvent *) | theEvent |

## otherMouseUp:

- (void) otherMouseUp: |  | (NSEvent *) | theEvent |

## pauseVisibleObservation

- (void) pauseVisibleObservation |  |  |

## processHitTest:

- (BOOL) processHitTest: |  | (NSEvent *) | theEvent |

## resumeVisibleObservation

- (void) resumeVisibleObservation |  |  |

## rightMouseDown:

- (void) rightMouseDown: |  | (NSEvent *) | theEvent |

## rightMouseDragged:

- (void) rightMouseDragged: |  | (NSEvent *) | theEvent |

## rightMouseUp:

- (void) rightMouseUp: |  | (NSEvent *) | theEvent |

## scrollWheel:

- (void) scrollWheel: |  | (NSEvent *) | theEvent |

## setFullscreenSpace:

- (BOOL) setFullscreenSpace: |  | (BOOL) | state |

## setPendingMoveX:Y:

- (void) setPendingMoveX: |  | (int) | x
Y: |  | (int) | y

## touchesBeganWithEvent:

- (void) touchesBeganWithEvent: |  | (NSEvent *) | theEvent |

## touchesCancelledWithEvent:

- (void) touchesCancelledWithEvent: |  | (NSEvent *) | theEvent |

## touchesEndedWithEvent:

- (void) touchesEndedWithEvent: |  | (NSEvent *) | theEvent |

## touchesMovedWithEvent:

- (void) touchesMovedWithEvent: |  | (NSEvent *) | theEvent |

## window:willUseFullScreenPresentationOptions:

- (NSApplicationPresentationOptions) window: |  | (NSWindow *) | window
willUseFullScreenPresentationOptions: |  | (NSApplicationPresentationOptions) | proposedOptions

## windowDidBecomeKey:

- (void) windowDidBecomeKey: |  | (NSNotification *) | aNotification |

## windowDidChangeBackingProperties:

- (void) windowDidChangeBackingProperties: |  | (NSNotification *) | aNotification |

## windowDidDeminiaturize:

- (void) windowDidDeminiaturize: |  | (NSNotification *) | aNotification |

## windowDidEnterFullScreen:

- (void) windowDidEnterFullScreen: |  | (NSNotification *) | aNotification |

## windowDidExitFullScreen:

- (void) windowDidExitFullScreen: |  | (NSNotification *) | aNotification |

## windowDidExpose:

- (void) windowDidExpose: |  | (NSNotification *) | aNotification |

## windowDidFinishMoving

- (void) windowDidFinishMoving |  |  |

## windowDidMiniaturize:

- (void) windowDidMiniaturize: |  | (NSNotification *) | aNotification |

## windowDidMove:

- (void) windowDidMove: |  | (NSNotification *) | aNotification |

## windowDidResignKey:

- (void) windowDidResignKey: |  | (NSNotification *) | aNotification |

## windowDidResize:

- (void) windowDidResize: |  | (NSNotification *) | aNotification |

## windowShouldClose:

- (BOOL) windowShouldClose: |  | (id) | sender |

## windowWillEnterFullScreen:

- (void) windowWillEnterFullScreen: |  | (NSNotification *) | aNotification |

## windowWillExitFullScreen:

- (void) windowWillExitFullScreen: |  | (NSNotification *) | aNotification |

## Field Documentation

## _data

- (SDL_WindowData*) _data

protected

Definition at line 43 of file SDL_cocoawindow.h.

## inFullscreenTransition

- (BOOL) inFullscreenTransition

protected

Definition at line 48 of file SDL_cocoawindow.h.

## isDragAreaRunning

- (BOOL) isDragAreaRunning

protected

Definition at line 52 of file SDL_cocoawindow.h.

## isFullscreenSpace

- (BOOL) isFullscreenSpace

protected

Definition at line 47 of file SDL_cocoawindow.h.

## isMoving

- (BOOL) isMoving

protected

Definition at line 50 of file SDL_cocoawindow.h.

## observingVisible

- (BOOL) observingVisible

protected

Definition at line 44 of file SDL_cocoawindow.h.

## pendingWindowOperation

- (PendingWindowOperation) pendingWindowOperation

protected

Definition at line 49 of file SDL_cocoawindow.h.

## pendingWindowWarpX

- (int) pendingWindowWarpX

protected

Definition at line 51 of file SDL_cocoawindow.h.

## pendingWindowWarpY

- (int) pendingWindowWarpY

protected

Definition at line 51 of file SDL_cocoawindow.h.

## wasCtrlLeft

- (BOOL) wasCtrlLeft

protected

Definition at line 45 of file SDL_cocoawindow.h.

## wasVisible

- (BOOL) wasVisible

protected

Definition at line 46 of file SDL_cocoawindow.h.

The documentation for this class was generated from the following file:

- src/video/cocoa/SDL_cocoawindow.h